Save Agent Profile Draft
curl --request POST \
--url https://api.ontora.com/v1/interview-agents/{agent_id}/draft-save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"avatar_type": "<string>",
"avatar_emoji": "<string>",
"voice_provider": "<string>",
"voice_id": "<string>",
"voice_language": "<string>",
"base_prompt": "<string>",
"instructions": "<string>",
"communication_guidelines": "<string>",
"culture_guidelines": "<string>",
"positive_examples": [
{
"label": "",
"situation": "",
"agent_response": "",
"rationale": ""
}
],
"negative_examples": [
{
"label": "",
"situation": "",
"agent_response": "",
"rationale": ""
}
],
"default_language": "<string>",
"status": "<string>",
"folder": "<string>",
"skill_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.ontora.com/v1/interview-agents/{agent_id}/draft-save"
payload = {
"name": "<string>",
"description": "<string>",
"avatar_type": "<string>",
"avatar_emoji": "<string>",
"voice_provider": "<string>",
"voice_id": "<string>",
"voice_language": "<string>",
"base_prompt": "<string>",
"instructions": "<string>",
"communication_guidelines": "<string>",
"culture_guidelines": "<string>",
"positive_examples": [
{
"label": "",
"situation": "",
"agent_response": "",
"rationale": ""
}
],
"negative_examples": [
{
"label": "",
"situation": "",
"agent_response": "",
"rationale": ""
}
],
"default_language": "<string>",
"status": "<string>",
"folder": "<string>",
"skill_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
avatar_type: '<string>',
avatar_emoji: '<string>',
voice_provider: '<string>',
voice_id: '<string>',
voice_language: '<string>',
base_prompt: '<string>',
instructions: '<string>',
communication_guidelines: '<string>',
culture_guidelines: '<string>',
positive_examples: [{label: '', situation: '', agent_response: '', rationale: ''}],
negative_examples: [{label: '', situation: '', agent_response: '', rationale: ''}],
default_language: '<string>',
status: '<string>',
folder: '<string>',
skill_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.ontora.com/v1/interview-agents/{agent_id}/draft-save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"avatar_type": "<string>",
"base_prompt": "<string>",
"instructions": "<string>",
"communication_guidelines": "<string>",
"culture_guidelines": "<string>",
"positive_examples": [
{}
],
"negative_examples": [
{}
],
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"avatar_emoji": "<string>",
"avatar_storage_key": "<string>",
"avatar_url": "<string>",
"voice_provider": "<string>",
"voice_id": "<string>",
"voice_language": "<string>",
"default_language": "<string>",
"folder": "<string>",
"created_by": "<string>",
"created_by_email": "<string>",
"created_by_name": "<string>",
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_kind": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"extracted_summary": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interview-agents
Save Agent Profile Draft
POST
/
v1
/
interview-agents
/
{agent_id}
/
draft-save
Save Agent Profile Draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I